# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name colour

%global common_summary A model for human color perception

%global common_description This package provides a data type for colors and transparency.\
Colors can be blended and composed. Various color spaces are supported.\
A module of color names ("Data.Colour.Names") is provided.

Name:           ghc-%{pkg_name}
Version:        2.3.3
Release:        5%{?dist}
Summary:        %{common_summary}

License:        MIT
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

rm %{buildroot}%{_datadir}/%{pkg_name}-%{version}/{README,CHANGELOG}


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc CHANGELOG README


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 2.3.3-4
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 2.3.3-2
- change prof BRs to devel

* Tue Mar 20 2012 Jens Petersen <petersen@redhat.com> - 2.3.3-1
- update to 2.3.3

* Wed Jan  4 2012 Jens Petersen <petersen@redhat.com> - 2.3.2-1
- update to 2.3.2 and cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.3.1-11.2
- rebuild with new gmp without compat lib

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.3.1-11.1
- rebuild with new gmp without compat lib

* Thu Oct 13 2011 Jens Petersen <petersen@redhat.com> - 2.3.1-11
- move readme and changelog files into devel doc (#744635)
- BR base library

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 2.3.1-10.1
- rebuild with new gmp

* Sat Jul 09 2011 Ben Boeckel <mathstuf@gmail.com> - 2.3.1-10
- Update to cabal2spec-0.24

* Fri Jun 24 2011 Jens Petersen <petersen@redhat.com> - 2.3.1-9
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Wed May 11 2011 Ben Boeckel <mathstuf@gmail.com> - 2.3.1-8
- Update to cabal2spec-0.22.7

* Tue May 10 2011 Ben Boeckel <mathstuf@gmail.com> - 2.3.1-7
- Update to cabal2spec-0.22.6

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 2.3.1-6
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 2.3.1-4
- Update to cabal2spec-0.22.4
- Rebuild

* Sun Nov 28 2010 Ben Boeckel <mathstuf@gmail.com> - 2.3.1-3
- Rebuild for GHC7

* Sun Nov 07 2010 Ben Boeckel <mathstuf@gmail.com> - 2.3.1-2
- Rebuild

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 2.3.1-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 2.3.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
